Page MenuHomePhabricator

Introduce new OpenMP 5.0 depend object type.
ClosedPublic

Authored by AndreyChurbanov on May 13 2019, 9:46 AM.

Details

Summary

The implementation of depobj is actually transparent to runtime library (and to users) and should be done by compiler. But the library needs type declarations in public headers, so that users could declare objects of omp_depend_t type (C/C++) or integers of omp_depend_kind kind (Fortran). That is done by this patch.

Diff Detail

Repository
rL LLVM

Event Timeline

hbae accepted this revision.May 14 2019, 6:13 PM

LGTM.

This revision is now accepted and ready to land.May 14 2019, 6:13 PM
Closed by commit rL360774: Introduce new OpenMP 5.0 depend object type. (authored by achurbanov, committed by ). · Explain WhyMay 15 2019, 6:42 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMay 15 2019, 6:43 AM